Index: /ipk/source.sh4/titanswappicons_transparent/CONTROL/control
===================================================================
--- /ipk/source.sh4/titanswappicons_transparent/CONTROL/control	(revision 11203)
+++ /ipk/source.sh4/titanswappicons_transparent/CONTROL/control	(revision 11203)
@@ -0,0 +1,10 @@
+Package: titan-plugin-picons-transparent
+Version: 1.3
+Architecture: sh4
+OE: Transparent Picons for tiTan.
+Section: extra
+Priority: optional
+Maintainer: AAF
+Homepage: http://www.aaf-digital.info
+Source: http://www.aaf-digital.info
+Description: Picons Transparent for tiTan.
Index: /ipk/source.sh4/titanswappicons_transparent/CONTROL/postinst
===================================================================
--- /ipk/source.sh4/titanswappicons_transparent/CONTROL/postinst	(revision 11203)
+++ /ipk/source.sh4/titanswappicons_transparent/CONTROL/postinst	(revision 11203)
@@ -0,0 +1,6 @@
+#!/bin/sh
+TMP=/tmp/.picon
+echo "successfully installed"
+echo "syncing disk"
+sync
+exit 0
Index: /ipk/source.sh4/titanswappicons_transparent/CONTROL/postrm
===================================================================
--- /ipk/source.sh4/titanswappicons_transparent/CONTROL/postrm	(revision 11203)
+++ /ipk/source.sh4/titanswappicons_transparent/CONTROL/postrm	(revision 11203)
@@ -0,0 +1,12 @@
+#!/bin/sh
+TMP=/tmp/.picon
+
+if [ -e /var/swap/titanpicons.backup ]; then
+	echo "restore old /var/swap/titanpicons.backup.transparent > /var/swap/titanpicons"
+	mv /var/swap/titanpicons.backup.transparent /var/swap/titanpicons
+fi
+
+echo "successfully removed"
+echo "syncing disk"
+sync
+exit 0
Index: /ipk/source.sh4/titanswappicons_transparent/CONTROL/preinst
===================================================================
--- /ipk/source.sh4/titanswappicons_transparent/CONTROL/preinst	(revision 11203)
+++ /ipk/source.sh4/titanswappicons_transparent/CONTROL/preinst	(revision 11203)
@@ -0,0 +1,48 @@
+#!/bin/sh
+#
+TMP=/tmp/.picon
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+echo""
+echo "Checking your Boxtype...."
+echo "Some Plugins will not work correctly on your $model!"
+echo ""
+if [ "$model" = "" ]; then
+	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+	echo "Aborting installation..."
+	exit 1
+else
+	echo "Boxtype: $model OK"
+fi
+
+echo "checking swapstick"
+if [ ! -d /var/swap/bin/ ]; then
+  echo "--------------------------"
+	echo "no Swapstick found...."
+	echo "--------------------------"
+	exit 1
+fi
+echo "swapstick found...."
+
+echo "installing Picons for tiTan..."
+echo "checking OS"
+if [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then
+	echo ---------------------------
+	echo DONT USE this IPK Package!!
+	echo ---
+	echo Only for AAF Image!!
+	echo ---------------------------
+	exit 1
+fi
+
+if [ -e /var/swap/titanpicons ]; then
+	echo "backup old /var/swap/titanpicons > /var/swap/titanpicons.backup.transparent"
+	mv /var/swap/titanpicons /var/swap/titanpicons.backup.transparent
+fi
+
+rm -rf /var/usr/local/share/titan/picons
+ln -s /var/swap/titanpicons /var/usr/local/share/titan/picons
+
+exit 0
Index: /ipk/source.sh4/titanswappicons_transparent/CONTROL/prerm
===================================================================
--- /ipk/source.sh4/titanswappicons_transparent/CONTROL/prerm	(revision 11203)
+++ /ipk/source.sh4/titanswappicons_transparent/CONTROL/prerm	(revision 11203)
@@ -0,0 +1,7 @@
+#!/bin/sh
+TMP=/tmp/.picon
+echo "syncing disk"
+sync
+
+echo "removing Picons..."
+exit 0
